#-----------------------------------------------------------------------
# Forca de resistência à ruptura para 100 garrafas de refirgerante de
# 1L.

x <- c(265, 205, 263, 307, 220, 268, 260, 234, 299, 215, 197, 286, 274,
       243, 231, 267, 281, 265, 214, 318, 346, 317, 242, 258, 276, 300,
       208, 187, 264, 271, 280, 242, 260, 321, 228, 250, 299, 258, 267,
       293, 265, 254, 281, 294, 223, 260, 308, 235, 283, 277, 200, 235,
       246, 328, 296, 276, 264, 269, 235, 290, 221, 176, 248, 263, 231,
       334, 280, 265, 272, 283, 265, 262, 271, 245, 301, 280, 274, 253,
       287, 258, 261, 248, 260, 274, 337, 250, 278, 254, 274, 275, 278,
       250, 265, 270, 298, 257, 210, 280, 269, 251)

#-----------------------------------------------------------------------
# Capacidade do processo.

m <- mean(x)
s <- sd(x)

m + c(-3, 3) * s

#-----------------------------------------------------------------------
# Histograma.

grep("blue", colors(), value = TRUE)
grep("orange", colors(), value = TRUE)

hist(x, col = "steelblue")
rug(x)

# No livro tem essas classes.
hist(x, breaks = seq(from = 170, to = 350, by = 20), col = "royalblue")
rug(x)

# Densidade suavizada.
plot(density(x))
rug(x)

#-----------------------------------------------------------------------
# QQ-norm.

n <- length(x)
j <- 1:n
p <- (j - 0.5)/n
q <- qnorm(p)

# QQ-norm.
qqnorm(x)
points(sort(x) ~ q, pch = 3, col = 2)

# Acumulada.
plot(ecdf(x), pch = NA)
curve(pnorm(x, mean = m, sd = s), add = TRUE)
rug(x)

# PP-norm.
plot(pnorm(q = sort(x), mean = m, sd = s) ~ p,
     xlab = "Probabilidades teóricas",
     ylab = "Probabilidades amostrais")

#-----------------------------------------------------------------------
